ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

TcTypeNats

# Documentation

typeNatTyCons :: [TyCon]

typeNatCoAxiomRules :: Map FastString CoAxiomRule

data BuiltInSynFamily

Constructors

BuiltInSynFamily |

Fields

sfMatchFam :: [Type] -> Maybe (CoAxiomRule, [Type], Type)
sfInteractTop :: [Type] -> Type -> [Eqn]
sfInteractInert :: [Type] -> Type -> [Type] -> Type -> [Eqn]

typeNatAddTyCon :: TyCon

typeNatMulTyCon :: TyCon

typeNatExpTyCon :: TyCon

typeNatLeqTyCon :: TyCon

typeNatSubTyCon :: TyCon

typeNatCmpTyCon :: TyCon

typeSymbolCmpTyCon :: TyCon